Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.spi
Interface RegistryEntry

All Known Subinterfaces:
  StreamRegistryEntry, URLRegistryEntry

All Known Implementing Classes:
  AbstractImageIORegistryEntry, AbstractRegistryEntry, ImageIOJPEGRegistryEntry, ImageIOPNGRegistryEntry, ImageIOTIFFRegistryEntry, JDKRegistryEntry, JPEGRegistryEntry, MagicNumberRegistryEntry, PNGRegistryEntry, TIFFRegistryEntry

    public interface RegistryEntry

The base interface for all image tag registry entries. To be useful you probably need to implement on of the flavors of registry entries (such as StreamRegistryEntry or URLRegistryEntry).

Method Summary
`String` | `getFormatName()` Returns the name of the format.
`List` | `getMimeTypes()` Return a List of mime types for this file format.
`float` | `getPriority()` Returns a search priority for this entry.
`List` | `getStandardExtensions()` Return a List of the common extensions for this file format.

Method Detail

### getStandardExtensions

    List getStandardExtensions()

  Return a List of the common extensions for this file format. The first entry in the list may be used as the default extension for writing files in this format (when we add support for writing that is). This may also be used to build a selection expression for finding files of this type.

### getMimeTypes

    List getMimeTypes()

  Return a List of mime types for this file format. The first entry in the list may be used as the default mime type.

### getFormatName

    String getFormatName()

  Returns the name of the format. For example "JPEG", "PNG", ...

### getPriority

    float getPriority()

  Returns a search priority for this entry. For most formats this is not important, but in some cases it is important that some entries occure before or after others.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.